%define gnome_icon_theme_version 1.2.3
%define intltool_version 0.35.5
%define gtkhtml_major 3.14

# Use stricter build settings than required by upstream.
%define strict_build_settings 1

Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name: 			libgtkhtml3
Version: 		3.18.0
Release: 		1
License:		LGPL/GPL
Group: 			System/Libraries
Summary: 		gtkhtml library
Source: 		gtkhtml-%{version}.tar.bz2
BuildRoot: 		%{_tmppath}/gtkhtml-%{version}-root
# Remove gnome-common macros from configure.in.
# We do not ship gnome-common (or at least we're not supposed to).
Patch4: 		gtkhtml-3.13.1-no-gnome-common.patch
### Dependencies ###
Requires: 		gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: 		gail-devel
BuildRequires: 		gettext
BuildRequires: 		gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: 		intltool >= %{intltool_version}
BuildRequires: 		libglade-devel >= 2.0
BuildRequires: 		libgnomeui-devel >= 2.0
BuildRequires: 		libtool

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%package devel
Group: 		Development/Libraries
Summary: 	Libraries, includes, etc to develop gtkhtml applications
Requires: 	%{name} = %{version}-%{release}
Requires: 	libglade-devel >= 2.0
Requires: 	libgnomeui-devel >= 2.0

%description devel
Libraries and include files that can be used to develop GtkHTML applications.

%prep
%setup -q -n gtkhtml-%{version}
%patch4 -p1 -b .no-gnome-common

%build
%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
        -DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-DGNOME_DISABLE_DEPRECATED=1 \
	-Werror-implicit-function-declaration"
%endif

# Rerun the GNU "autotools" since we patched configure.in.
autoreconf --force --install

%configure
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool CFLAGS="$CFLAGS $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make install LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT

%find_lang gtkhtml-%{gtkhtml_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-%{gtkhtml_major}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%dir %{_libdir}/gtkhtml
%{_libdir}/libgtkhtml-%{gtkhtml_major}.so.*
%{_libdir}/gtkhtml/libgnome-gtkhtml-editor-%{gtkhtml_major}.so
%{_libdir}/bonobo/servers/GNOME_GtkHTML_Editor-%{gtkhtml_major}.server
%{_datadir}/gtkhtml-%{gtkhtml_major}

%files devel
%defattr(-, root, root)
%{_includedir}/libgtkhtml-%{gtkhtml_major}
%{_libdir}/libgtkhtml-%{gtkhtml_major}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/gtkhtml/*.la
%{_libdir}/gtkhtml/*.a



%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 3.18.0-1
- Version update
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 3.17.2-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 3.16.0-1
- Version update
* Wed Mar 21 2007 Christian Metzen <metzench@ccux-linux.de> 3.14.0-1
- Initial release